"""empty message

Revision ID: e5390ad2cd0f
Revises: 22e3ea459e91
Create Date: 2023-04-02 16:38:18.584950

"""
import sqlalchemy as sa
from alembic import op

# revision identifiers, used by Alembic.
revision = 'e5390ad2cd0f'
down_revision = '22e3ea459e91'
branch_labels = None
depends_on = None


def upgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('menus',
                    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
                    sa.Column('title', sa.String(), nullable=False),
                    sa.Column('recipe_id', sa.String(), nullable=False),
                    sa.Column('planning_id', sa.Integer(), nullable=False),
                    sa.ForeignKeyConstraint(['planning_id'], ['plannings.id'], ),
                    sa.PrimaryKeyConstraint('id')
                    )
    op.create_index(op.f('ix_menus_id'), 'menus', ['id'], unique=False)
    op.add_column('plannings', sa.Column('title', sa.String(length=512), nullable=False))
    op.drop_column('plannings', 'name')
    # ### end Alembic commands ###


def downgrade() -> None:
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('plannings', sa.Column('name', sa.VARCHAR(length=512), autoincrement=False, nullable=False))
    op.drop_column('plannings', 'title')
    op.drop_index(op.f('ix_menus_id'), table_name='menus')
    op.drop_table('menus')
    # ### end Alembic commands ###
